? q
Index: src/net_db.c
===================================================================
RCS file: /cvsroot/squid/squid/src/net_db.c,v
retrieving revision 1.158.2.10
diff -u -p -r1.158.2.10 net_db.c
--- src/net_db.c	30 Jun 2005 18:50:56 -0000	1.158.2.10
+++ src/net_db.c	11 Sep 2005 22:06:33 -0000
@@ -571,7 +571,12 @@ netdbExchangeHandleReply(void *data, cha
 	    size -= hdr_sz;
 	    p += hdr_sz;
 	} else {
-	    size = 0;
+	    if (size >= ex->buf_sz) {
+		debug(38, 3) ("netdbExchangeHandleReply: Too big HTTP header, aborting\n");
+		netdbExchangeDone(ex);
+	    } else {
+		size = 0;
+	    }
 	}
     }
     debug(38, 5) ("netdbExchangeHandleReply: start parsing loop, size = %ld\n",
